| OpenCV 4.3.0 Open Source Computer Vision

Namespaces | Classes | Typedefs | Functions
cv::utils Namespace Reference

## Namespaces
| fs
| logging
| trace

## Classes
class | AllocatorStatisticsInterface
class | BufferArea
| Manages memory block shared by muliple buffers. More...
class | lock_guard
| A simple scoped lock (RAII-style locking for exclusive/write access). More...
class | optional_lock_guard
| An optional simple scoped lock (RAII-style locking for exclusive/write access). More...
class | optional_shared_lock_guard
| An optional shared scoped lock (RAII-style locking for shared/reader access). More...
class | shared_lock_guard
| A shared scoped lock (RAII-style locking for shared/reader access). More...

## Typedefs
typedef std::vector< std::string > | Paths

## Functions
static String | dumpBool (bool argument)
static String | dumpCString (const char *argument)
static String | dumpDouble (double argument)
static String | dumpFloat (float argument)
String | dumpInputArray (InputArray argument)
String | dumpInputArrayOfArrays (InputArrayOfArrays argument)
String | dumpInputOutputArray (InputOutputArray argument)
String | dumpInputOutputArrayOfArrays (InputOutputArrayOfArrays argument)
static String | dumpInt (int argument)
static String | dumpSizeT (size_t argument)
bool | getConfigurationParameterBool (const char *name, bool defaultValue)
Paths | getConfigurationParameterPaths (const char *name, const Paths &defaultValue=Paths())
size_t | getConfigurationParameterSizeT (const char *name, size_t defaultValue)
cv::String | getConfigurationParameterString (const char *name, const char *defaultValue)
int | getThreadID ()
static AsyncArray | testAsyncArray (InputArray argument)
static AsyncArray | testAsyncException ()

## Typedef Documentation

## ◆ Paths

typedef std::vector<std::string> cv::utils::Paths

## Function Documentation

## ◆ getConfigurationParameterBool()

bool cv::utils::getConfigurationParameterBool | ( | const char * | name,
|  | bool | defaultValue
| ) |  |

## ◆ getConfigurationParameterPaths()

Paths cv::utils::getConfigurationParameterPaths | ( | const char * | name,
|  | const Paths & | defaultValue = `Paths()`
| ) |  |

## ◆ getConfigurationParameterSizeT()

size_t cv::utils::getConfigurationParameterSizeT | ( | const char * | name,
|  | size_t | defaultValue
| ) |  |

## ◆ getConfigurationParameterString()

cv::String cv::utils::getConfigurationParameterString | ( | const char * | name,
|  | const char * | defaultValue
| ) |  |

## ◆ getThreadID()

int cv::utils::getThreadID | ( |  | ) |